package com.jeesharp.business.modules.pay.enums;

import com.jeesharp.business.modules.pay.exception.ErrorCode;

/**
 * Pay 错误码 Core 枚举类
 * <p>
 * pay 系统，使用 1-001-000-000 段
 */
public interface PayMessageConstants {

    /**
     * ========== 报文 模块 1-001-000-000 ==========
     */
    ErrorCode PAY_MESSAGE_LENGTH = new ErrorCode(1001000001, "报文长度超出");
    ErrorCode PAY_MESSAGE_MUST = new ErrorCode(1001000002, "必填项未填");
    /**
     * ========== 浦发接口请求 模块 1-002-000-000 ==========
     */
    ErrorCode PAY_HTTP_ERROR = new ErrorCode(1002000001, "http请求失败");
    ErrorCode PAY_APP_ERROR = new ErrorCode(1002000002, "浦发app配置错误");
    ErrorCode PAY_APP_NOT_FOUND = new ErrorCode(1007000000, "浦发App配置不存在");
    ErrorCode PAY_APP_IS_DISABLE = new ErrorCode(1007000002, "浦发商户已经被禁用");
}
